Commit a459fbbc authored by Duncan Coutts's avatar Duncan Coutts

Change position of --only-dependencies in --help listing

Move it next to the --upgrade-dependencies flag
parent 84ed3069
......@@ -603,6 +603,13 @@ installOptions showOrParseArgs =
installUpgradeDeps (\v flags -> flags { installUpgradeDeps = v })
trueArg
, option [] ["only-dependencies"]
"Install only the dependencies necessary to build the given packages"
installOnlyDeps (\v flags -> flags { installOnlyDeps = v })
trueArg
, option [] ["root-cmd"]
"Command used to gain root privileges, when installing with --global."
installRootCmd (\v flags -> flags { installRootCmd = v })
......@@ -636,12 +643,6 @@ installOptions showOrParseArgs =
"Do not record the packages in the world file."
installOneShot (\v flags -> flags { installOneShot = v })
trueArg
, option [] ["only-dependencies"]
"Install only the dependencies necessary to build the listed packages"
installOnlyDeps (\v flags -> flags { installOnlyDeps = v })
trueArg
] ++ case showOrParseArgs of -- TODO: remove when "cabal install" avoids
ParseArgs ->
option [] ["only"]
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment